hpp-core: hpp::core::Distance Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
hpp::core::Distance Class Referenceabstract
Steering method and distance functions

Abstract class for distance between configurations. More...

`#include <hpp/core/distance.hh>`

Inheritance diagram for hpp::core::Distance:
[legend]

## Public Member Functions
value_type | operator() (ConfigurationIn_t q1, ConfigurationIn_t q2) const
value_type | operator() (NodePtr_t n1, NodePtr_t n2) const
value_type | compute (ConfigurationIn_t q1, ConfigurationIn_t q2) const
value_type | compute (NodePtr_t n1, NodePtr_t n2) const
virtual DistancePtr_t | clone () const =0
virtual | ~Distance ()

## Protected Member Functions
| Distance ()
virtual value_type | impl_distance (ConfigurationIn_t q1, ConfigurationIn_t q2) const =0
| Derived class should implement this function.
virtual value_type | impl_distance (NodePtr_t n1, NodePtr_t n2) const
| HPP_SERIALIZABLE ()

## Detailed Description

Abstract class for distance between configurations.

## Constructor & Destructor Documentation

## ◆ ~Distance()

virtual hpp::core::Distance::~Distance | ( |  | ) |
| inlinevirtual

## ◆ Distance()

hpp::core::Distance::Distance | ( |  | ) |
| inlineprotected

## Member Function Documentation

## ◆ clone()

virtual DistancePtr_t hpp::core::Distance::clone | ( |  | ) | const
| pure virtual

Implemented in hpp::core::distance::ReedsShepp, hpp::core::KinodynamicDistance, and hpp::core::WeighedDistance.

## ◆ compute() [1/2]

value_type hpp::core::Distance::compute | ( | ConfigurationIn_t | q1,
|  | ConfigurationIn_t | q2
| ) |  | const
| inline

## ◆ compute() [2/2]

value_type hpp::core::Distance::compute | ( | NodePtr_t | n1,
|  | NodePtr_t | n2
| ) |  | const
| inline

## ◆ HPP_SERIALIZABLE()

hpp::core::Distance::HPP_SERIALIZABLE | ( |  | ) |
| protected

## ◆ impl_distance() [1/2]

virtual value_type hpp::core::Distance::impl_distance | ( | ConfigurationIn_t | q1,
|  | ConfigurationIn_t | q2
| ) |  | const
| protectedpure virtual

Derived class should implement this function.

Implemented in hpp::core::distance::ReedsShepp, hpp::core::KinodynamicDistance, and hpp::core::WeighedDistance.

## ◆ impl_distance() [2/2]

virtual value_type hpp::core::Distance::impl_distance | ( | NodePtr_t | n1,
|  | NodePtr_t | n2
| ) |  | const
| inlineprotectedvirtual

## ◆ operator()() [1/2]

value_type hpp::core::Distance::operator() | ( | ConfigurationIn_t | q1,
|  | ConfigurationIn_t | q2
| ) |  | const
| inline

## ◆ operator()() [2/2]

value_type hpp::core::Distance::operator() | ( | NodePtr_t | n1,
|  | NodePtr_t | n2
| ) |  | const
| inline

The documentation for this class was generated from the following file:

- include/hpp/core/distance.hh